Skip to main content
GET
/
linkedin
/
scheduled_posts
Get LinkedIn posts
curl --request GET \
  --url https://scheduler.dashsocial.com/linkedin/scheduled_posts \
  --header 'Authorization: Bearer <token>'
{
  "code": 123,
  "errors": {},
  "message": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null

Number of posts to return per page

Required range: 0 <= x <= 1000
offset
integer
default:0

Starting position of posts to return

Required range: x >= 0
brand_id
integer

The ID of the brand the posts belong to. Required for non-application users.

Required range: x >= 0
brand_ids
integer[]

List of brand IDs for cross brand query (max 10).

Required array length: 1 - 10 elements
Required range: x >= 0
status
enum<string>[]

The status by which to filter posts.

Available options:
AUTOPUBLISHING,
DRAFT,
EXPIRED,
FAILED,
IMPORTED,
MISSING_APPROVALS,
PARTIALLY_FAILED,
POSTED,
SCHEDULED,
SKIPPED,
USERS_NOTIFIED
sort
enum<string>
default:TIMESTAMP

The metric to sort results by.

Available options:
-SORT_INDEX,
-TIMESTAMP,
-UPDATED_AT,
SORT_INDEX,
TIMESTAMP,
UPDATED_AT
start
string<date-time> | null

The start of the range from which to fetch posts by time stamp.

end
string<date-time> | null

The end date of the range of posts being fetched by time stamp.

has_scheduled_time
boolean | null

Indicates if the post has a scheduled timestamp.

source_ids
string[] | null

List of unique source ids.

resolve_references
boolean
default:true

Whether to resolve library references (media, boards, etc).

Response

Unprocessable Entity

code
integer

Error code

errors
object

Errors

message
string

Error message

status
string

Error name